Bug 894022 - Move ruby from libdb4 to libdb
Move ruby from libdb4 to libdb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 09:39 EST by Petr Pisar
Modified: 2013-11-11 03:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 19:03:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-01-10 09:39:59 EST
Current ruby.spec declares:

  BuildRequires: db4-devel

Berkeley DB 4 is deprecated in favour of version 5. Please change build- and run-time dependency from db4 to libdb.

(This is good to prevent crashes when dlopening shared objects compiled against libdb.so.)
Comment 1 Vít Ondruch 2013-01-18 06:42:01 EST
Thank you for heads ups.

Fixing it just in Ruby 2.0 branch, which will go into Rawhide soon. No need for change in older releases IMO.
Comment 2 Mamoru TASAKA 2013-01-20 19:03:31 EST
Fixed in ruby-1.9.3.362-26.fc19 (ruby 2.0 will also use libdb(5))
Comment 3 gliverman 2013-11-09 23:32:53 EST
In trying to use ruby-2.0.0.247-15 from rawhide to build an rpm for el6 I ran into 'libdb-devel' not being available... am I missing something or should I just build it against db4-devel on el6?
Comment 4 Vít Ondruch 2013-11-11 03:56:57 EST
db4-devel should be the right choice for el6.

Note You need to log in before you can comment on or make changes to this bug.